curl --request GET \
--url https://api.fabric.inc/v3/offers-exports \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'import requests
url = "https://api.fabric.inc/v3/offers-exports"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/offers-exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"query": {
"size": 10,
"offset": 10,
"count": 50
},
"data": [
{
"exportId": "ab50fe48-5da0-4e77-92d1-bb629eedf19e",
"startedAt": "2023-05-17T21:24:52.398Z",
"status": "IN_PROGRESS",
"type": "REDEMPTION",
"endedAt": "null",
"totalDataExported": 0,
"fileId": "redemption/tenantId/1687294954996-redemption-export.csv"
}
]
}{
"type": "REQUEST_VALIDATION",
"message": "Size should be a valid number"
}{
"type": "UNAUTHORIZED",
"message": "Invalid credentials"
}{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}Get all export requests
Get a paginated list of all the export requests.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
24The sales channel ID.
"12"
A unique request ID.
"263e731c-45c8-11ed-b878-0242ac120002"
Query Parameters
The maximum number of records per page.
1 <= x <= 100The number of records to skip before returning records. For example, with an offset of 20 and limit of 10, you will get records from 21 to 30.
x >= 00
Field to sort export requests
"+startedAt"
Type of data to export
REDEMPTION, CALCULATED_PRICE "REDEMPTION"
Was this page helpful?
